Bug 1622535 - [OSP-13] NetApp: Ontap FC/iSCSI drivers does not support force_detach
Summary: [OSP-13] NetApp: Ontap FC/iSCSI drivers does not support force_detach
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z3
: 13.0 (Queens)
Assignee: Elise Gafford
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
: 1638127 (view as bug list)
Depends On:
Blocks: 1622538
TreeView+ depends on / blocked
 
Reported: 2018-08-27 12:19 UTC by Erlon
Modified: 2018-11-13 22:14 UTC (History)
7 users (show)

Fixed In Version: openstack-cinder-12.0.3-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
This fix enables the NetApp ONTAP FC/iSCSI drivers to succeed in the force_detach action, which terminates every connection between the specified volume and any host it is mapped to.
Clone Of:
Environment:
Last Closed: 2018-11-13 22:13:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3601 None None None 2018-11-13 22:14:24 UTC
OpenStack gerrit 592634 None stable/queens: MERGED cinder: NetApp ONTAP: Fix driver force detach operations (I2a55961b62297f0fa4e678929f69cafc5aa17bd9) 2018-08-30 17:35:15 UTC

Description Erlon 2018-08-27 12:19:48 UTC
We need the following bug to be re-packages in the distro packages so we can pass RHOSP13 Certifications.
https://review.openstack.org/#/c/592634/

Bug is already merged in upstream stable branches.

Comment 1 Erlon 2018-09-10 13:51:33 UTC
Hi Elise,

When will that be on GA? I have updated the package and still not in this version you mentioned:


[root@overcloud-cinder-controller-0 heat-admin]# yum install python-cinder
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Package 1:python-cinder-12.0.3-2.el7ost.noarch already installed and latest version
Nothing to do

Comment 2 Elise Gafford 2018-09-10 16:07:57 UTC
Hi Erlon,

For the sake of completeness: as Alan noted in the 12.0 clone of this bug, this fix will be available after QA, in version openstack-cinder-12.0.3-3.el7ost or above. The bug state is the best indicator of progress; at present it is MODIFIED, meaning that the fix has been backported, committed, reviewed, passed dev CI, and pushed into a testable build. From here it will flow into ON_QA, VERIFIED, and RELEASE_PENDING (which are all pretty self-explanatory) on its way to CLOSED, at which point the fix will be generally available.

Thanks,
Elise

Comment 3 Erlon 2018-09-11 15:46:28 UTC
Hi Elise, 
Thanks for the detailed description, it was very helpful.
Erlon

Comment 4 Alan Bishop 2018-10-10 23:16:14 UTC
*** Bug 1638127 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2018-11-13 22:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3601


Note You need to log in before you can comment on or make changes to this bug.